from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XUserInputInterception(XInterface, Protocol):
    def addKeyHandler(self, xHandler: XKeyHandler) -> None: ...
    def removeKeyHandler(self, xHandler: XKeyHandler) -> None: ...
    def addMouseClickHandler(self, xHandler: XMouseClickHandler) -> None: ...
    def removeMouseClickHandler(self, xHandler: XMouseClickHandler) -> None: ...
